import { ProjectParams, ProjectListGetResultModel, ProjectModel } from '@/api/project/model/projectModel';
import { defHttp } from '@/utils/http/axios';

enum Api {
    contentProject = '/pro/gateway/pro_content',
    //资金来源占比
    sourceOfFunds= '/pro/gateway/source-of-funds',
    //建设地点
    adderss= '/pro/gateway/adderss',
    // 项目分类
    itemType= '/pro/gateway/item-type',
    // 建设性质占比
    natureConstruction= '/pro/gateway/nature',

   // 形象进度占比
    progress= '/pro/gateway/progress',
    // 企业项目数量排行
    comapnyList= '/pro/gateway/company-list',

}
export const getList = (params?: ProjectParams) =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.contentProject,  params })
export const getSourceOfFunds = () =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.sourceOfFunds })
export const getAdderss = () =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.adderss })



export const getItemType = () =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.itemType })



export const getNatureConstruction = () =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.natureConstruction })



export const getProgress = (params?: ProjectParams) =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.progress,params })

export const getComapnyList = (params?: ProjectParams) =>
    defHttp.get<ProjectListGetResultModel>(
        { url: Api.comapnyList })








